Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::CountingConjunctionSumScorer Class Reference

`#include <BooleanScorer2.h>`

Inheritance diagram for Lucene::CountingConjunctionSumScorer:

## Public Member Functions

| CountingConjunctionSumScorer (const BooleanScorer2Ptr &scorer, const SimilarityPtr &similarity, Collection< ScorerPtr > scorers)
virtual | ~CountingConjunctionSumScorer ()
virtual String | getClassName ()
boost::shared_ptr< CountingConjunctionSumScorer > | shared_from_this ()
virtual double | score ()
| Returns the score of the current document matching the query. Initially invalid, until nextDoc() or advance(int32_t) is called the first time, or when called from within Collector#collect. More...
Public Member Functions inherited from Lucene::ConjunctionScorer
| ConjunctionScorer (const SimilarityPtr &similarity, Collection< ScorerPtr > scorers)
virtual | ~ConjunctionScorer ()
boost::shared_ptr< ConjunctionScorer > | shared_from_this ()
virtual int32_t | advance (int32_t target)
| Advances to the first beyond the current whose document number is greater than or equal to target. Returns the current document number or NO_MORE_DOCS if there are no more docs in the set. More...
virtual int32_t | docID ()
| Returns the following: More...
virtual int32_t | nextDoc ()
| Advances to the next document in the set and returns the doc it is currently on, or NO_MORE_DOCS if there are no more docs in the set. More...
Public Member Functions inherited from Lucene::Scorer
| Scorer (const SimilarityPtr &similarity)
| Constructs a Scorer. More...
virtual | ~Scorer ()
boost::shared_ptr< Scorer > | shared_from_this ()
SimilarityPtr | getSimilarity ()
| Returns the Similarity implementation used by this scorer. More...
virtual void | score (const CollectorPtr &collector)
| Scores and collects all matching documents. More...
Public Member Functions inherited from Lucene::DocIdSetIterator
virtual | ~DocIdSetIterator ()
boost::shared_ptr< DocIdSetIterator > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::ConjunctionScorer
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Scorer
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocIdSetIterator
static String | _getClassName ()

## Protected Attributes

BooleanScorer2WeakPtr | _scorer
int32_t | lastScoredDoc
int32_t | requiredNrMatchers
double | lastDocScore
Protected Attributes inherited from Lucene::ConjunctionScorer
Collection< ScorerPtr > | scorers
double | coord
int32_t | lastDoc
Protected Attributes inherited from Lucene::Scorer
SimilarityPtr | similarity
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::DocIdSetIterator
static const int32_t | NO_MORE_DOCS
| When returned by nextDoc(), advance(int) and docID() it means there are no more docs in the iterator. More...
Protected Member Functions inherited from Lucene::ConjunctionScorer
int32_t | doNext ()
Protected Member Functions inherited from Lucene::Scorer
virtual bool | score (const CollectorPtr &collector, int32_t max, int32_t firstDocID)
| Collects matching documents in a range. Hook for optimization. Note, firstDocID is added to ensure that nextDoc() was called before this method. More...
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::CountingConjunctionSumScorer::CountingConjunctionSumScorer | ( | const BooleanScorer2Ptr & | scorer,
|  | const SimilarityPtr & | similarity,
|  | Collection< ScorerPtr > | scorers
| ) |  |

virtual Lucene::CountingConjunctionSumScorer::~CountingConjunctionSumScorer | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::CountingConjunctionSumScorer::_getClassName | ( |  | ) |

inline static

virtual String Lucene::CountingConjunctionSumScorer::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::ConjunctionScorer.

virtual double Lucene::CountingConjunctionSumScorer::score | ( |  | ) |

virtual

Returns the score of the current document matching the query. Initially invalid, until nextDoc() or advance(int32_t) is called the first time, or when called from within Collector#collect.

Reimplemented from Lucene::ConjunctionScorer.

boost::shared_ptr< CountingConjunctionSumScorer > Lucene::CountingConjunctionSumScorer::shared_from_this | ( |  | ) |

inline

## Field Documentation

BooleanScorer2WeakPtr Lucene::CountingConjunctionSumScorer::_scorer

protected

double Lucene::CountingConjunctionSumScorer::lastDocScore

protected

int32_t Lucene::CountingConjunctionSumScorer::lastScoredDoc

protected

int32_t Lucene::CountingConjunctionSumScorer::requiredNrMatchers

protected

The documentation for this class was generated from the following file:

- BooleanScorer2.h

clucene.sourceforge.net